ptr_traits.h File Reference

Go to the source code of this file.

## Classes

struct | std::pointer_traits< _Ptr >
struct | std::pointer_traits< _Tp * >

## Namespaces

| std

## Typedefs

template<typename _Tp >
using | std::__get_first_arg_t = typename __get_first_arg< _Tp >::type
template<typename _Tp >
using | std::__make_not_void = typename conditional< is_void< _Tp >::value, __undefined, _Tp >::type
template<typename _Ptr , typename _Tp >
using | std::__ptr_rebind = typename pointer_traits< _Ptr >::template rebind< _Tp >
template<typename _Tp , typename _Up >
using | std::__replace_first_arg_t = typename __replace_first_arg< _Tp, _Up >::type

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file ptr_traits.h.